aov <- function(formula, data = NULL, interactive = FALSE)
{
  if (interactive == FALSE && !missing(formula))
  {
    suppressWarnings(TRUE)
    out = list()
    result = try(stats::aov(formula = formula, data = data), silent = TRUE) #performs aov
    if (!is.null(attr(result, "class")))
    {
      if ((attr(result, "class") == "try-error") == TRUE)
      {
        return(result)
      }
    }
    
    result$call = NULL #removes the calling item in the list (user doesn't need this)
    
    out <- result
    
    return(out)
  } else
  {
    out = execute.cli("aov")
    return(out)
  }
}