integer.gui <- function(value)
{
  out = list()
  
  out = numeric.gui(value) #first see if it is numeric
  if (out$loop == TRUE) # if not, no good
  {
    return(out)
  } else
  {
    if (out$value == as.integer(out$value)) #is it an integer
    {
      out$value = as.integer(out$value) #if so, convert to type integer and return
      return(out)
    } else # if not an integer, loop
    {
      out$loop = TRUE
      return(out)
    }
  }
  
}

integer.optional.gui <- function(value, depends = NULL)
{
  if (value == "" && is.null(depends)) #handles case where no value given and depend var does not exist
  {
    out = list()
    out$value = NULL
    out$loop = FALSE
    return(out)
  } else if (value != "" && is.null(depends)) # handles case where value is given and depend var does not exist
  {
    return(integer.gui(value))
  } else
  { # handles case where depend var does exist
    out = list()
    if (depends$loop == TRUE) #if the depend var is bad, it won't matter what value this guy is
    {
      out$loop = TRUE
      return(out)
    } else # if the depend var is good, make this a numeric
    {
      if (is.null(depends$value)) # if depends doesn't have any data, this variable doesn't need data either
      {
        out$loop = FALSE
        return(out)
      } else
      {
        return(integer.gui(value))
      }
    }
  }
}