logical.gui <- function(value)
{
  out = list()
  if (value == "TRUE" || value == "Yes")
  {
    out$value = TRUE
    out$loop = FALSE
  } else if (value == "FALSE" || value == "No")
  {
    out$value = FALSE
    out$loop = FALSE
  } else
  {
    out$value = NULL
    out$loop = TRUE
  }
  return(out)
}

logical.optional.gui <- function(value, depends = NULL)
{
  if (value == "" && is.null(depends)) #handles case where no value given and depend var does not exist
  {
    out = list()
    out$value = NULL
    out$loop = FALSE
    return(out)
  } else if (value != "" && is.null(depends)) # handles case where value is given and depend var does not exist
  {
    return(logical.gui(value))
  } else
  { # handles case where depend var does exist
    out = list()
    if (depends$loop == TRUE) #if the depend var is bad, it won't matter what value this guy is
    {
      out$loop = TRUE
      return(out)
    } else # if the depend var is good, make this a numeric
    {
      if (is.null(depends$value)) # if depends doesn't have any data, this variable doesn't need data either
      {
        out$loop = FALSE
        return(out)
      } else
      {
        return(logical.gui(value))
      }
    }
  }
}