numeric.prompt <- function(prompt=NULL)
{
  if (missing(prompt))
  {
    prompt = "Enter number: "
  }
  
  out <- as.numeric(readline(prompt))
  while(is.na(out))
  {
    writeLines("There is a typo. Try again.")
    out <- as.numeric(readline(prompt))
  }
  writeLines("")
  return(out)
}