\name{chisq.test.gui}
\alias{chisq.test.gui}
\title{
Graphical User Interface for chisq.test
}
\description{This function allows the user to execute the chisq.test function by inputing information into fields in a graphical window provided by the tcltk package. It is intended to be executed by \code{\link{execute.gui}}, although it may be execued by the user if desired.
}
\usage{
chisq.test.gui()
}
\details{
This function takes user input from various fields in a window, passes it to \code{\link{chisq.test}}, and returns this evaluation.
}
\value{
  \item{out}{This variable is created in the global environment and contains the results of the test.}
}

\seealso{
\code{\link{goodfit.predict.gui}} for when the statistic is fitness and the probabilities are not given.
}

\keyword{gui}