\name{dataframe.prompt}
\alias{dataframe.prompt}
\title{
Interactive Data Frame Creation and Loading
}
\description{This function is primarily intended to support other functions in interactive mode, but may also be called by the user at any time. An interactive function that makes the creation of data frames easier and allows the loading of data already created into a data frame.
}
\usage{
dataframe.prompt(prompt = NULL)
}
\arguments{
  \item{prompt}{a character vector or \code{NULL}. Used to inform the user in interactive mode what the data being entered will be used for.}
}
\details{
Either can create a data frame from scratch, load a CSV (or semicolon seperated values), or load a dataframe in the global environment and returns it. Allows editing of any data frame succesffully created or loaded.
}
\value{
  \item{out}{Returns either \code{FALSE} if the loading or creation failed or returns the data frame itself.}
}

\keyword{interactive}
