\name{global.env}
\alias{global.env}
\title{
Interactive Global Environment Value Loading
}
\description{This function is primarily intended to support other functions in interactive mode, but may also be called by the user at any time. An interactive function that takes user input to load a global environment value into another value (usually in another environment).
}
\usage{
global.env(prompt = NULL)
}
\arguments{
  \item{prompt}{a character vector or \code{NULL}. Used to inform the user in interactive mode what the data being entered will be used for.}
}
\details{
Takes the name of a value that the user provides and attempts to load it. If the name is typed wrong, will attempt to catch the problem and ask the user to either try again or quit.
}
\value{
  \item{out}{Returns the value from the global environment or \code{FALSE} if loading is cancelled.}
}

\keyword{interactive}
