\name{goodfit.predict.gui}
\alias{goodfit.predict.gui}
\title{
Graphical User Interface for goodfit.predict
}
\description{This function allows the user to execute the goodfit.predict function by inputing information into fields in a graphical window provided by the tcltk package. It is intended to be executed by \code{\link{execute.gui}}, although it may be execued by the user if desired.
}
\usage{
goodfit.predict.gui()
}
\details{
This function takes user input from various fields in a window, passes it to \code{\link{goodfit.predict}}, and returns this evaluation.
}
\value{
  \item{out}{This variable is created in the global environment and contains the results of the test.}
}

\seealso{
\code{\link{chisq.test.gui}} for when the probabilities are given.
}

\keyword{gui}