\name{ks.test.gui}
\alias{ks.test.gui}
\title{
Graphical User Interface for ks.test
}
\description{This function allows the user to execute the ks.test function by inputing information into fields in a graphical window provided by the tcltk package. It is intended to be executed by \code{\link{execute.gui}}, although it may be execued by the user if desired.
}
\usage{
ks.test.gui()
}
\details{
This function takes user input from various fields in a window, passes it to \code{\link{ks.test}}, and returns this evaluation. Due to the difficulty in turning a text field into arguments of variable length, the GUI functionality is limited. Specifically, only a single numeric argument may be passed in entry 3. Thus, some CDFs that require multiple arguments, such as pbinom, may not be executed through the GUI.
}
\value{
  \item{out}{This variable is created in the global environment and contains the results of the test.}
}

\keyword{gui}