\name{numeric.prompt}
\alias{numeric.prompt}
\title{
Interactively Gets a Number
}
\description{This function is primarily intended to support other functions in interactive mode, but may also be called by the user at any time. An interactive function that gets a number from a user.
}
\usage{
numeric.prompt(prompt = NULL)
}
\arguments{
  \item{prompt}{a character vector or \code{NULL}. Used to inform the user in interactive mode what the data being entered will be used for.}
}
\details{
Uses \link{as.numeric} and \link{is.na} to determine if a user input is a number.
}
\value{
  \item{out}{Returns a number.}
}

\keyword{interactive}
