\name{HypoTest}
\alias{HypoTest}
\title{Hypothesis Testing with Interactive User Input}
\description{
Calls \code{\link{execute.gui}} or \code{\link{interactive.cli}} depending on the \code{graphics} argument..
}

\usage{
HypoTest(graphics = TRUE)
}

\arguments{
\item{graphics}{a logical. If \code{TRUE} (default), starts the main graphics session. If \code{FALSE}, starts the main command line session.}
}

\value{
Will place a variable called "out" in the global environment if the graphics environment is called. If the command line interface is called, it will return whatever \code{\link{interactive.cli}} returns.
}

\seealso{
\code{\link{HypoTest-package}} for general package information.
}

\keyword{gui}