\name{alternative.gui}
\alias{alternative.gui}
\title{
Graphical User Interface: Alternative Hypothesis Validation
}
\description{This function takes text input, checks if it is "greater", "less", or "two.sided", and reports if the test was a success or failure. It is intended to be executed by other GUI functions.
}
\usage{
alternative.gui(value)
}
\arguments{
\item{value}{the text string to check}
}
\details{
Uses a test for equality with the words "two.sided", "greater", and "less".
}
\value{
  \item{out$result}{The parameter passed in value or \code{NULL} if the value was not "two.sided", "greater", or "less".}
  \item{out$loop}{A logical, \code{TRUE} for a success and \code{FALSE} for a failure.}
}

\keyword{gui}