\name{csv.prompt}
\alias{csv.prompt}
\title{
Interactively Loads a File of Comma or Semicolon sepearated Values
}
\description{This function is primarily intended to support other functions in interactive mode, but may also be called by the user at any time. An interactive function that loads a file, reads it as a csv, and returns the csv as a value.
}
\usage{
csv.prompt(prompt = NULL)
}
\arguments{
  \item{prompt}{a character vector or \code{NULL}. Used to inform the user in interactive mode what the data being entered will be used for.}
}
\details{
Asks the user to pick the right file. If the load is successful, determines if the values are comma or semicolon separated (effectively determines to use \link{read.csv} or \link{read.csv2}). Also uses \link{logical.prompt} to determine if there is a header in the CSV and if fill should be used.
}
\value{
  \item{out}{Returns a data frame or \code{FALSE} if the load was unsuccessful.}
}

\keyword{interactive}
