\name{integer.prompt}
\alias{integer.prompt}
\title{
Interactively Gets An Integer
}
\description{This function is primarily intended to support other functions in interactive mode, but may also be called by the user at any time. An interactive function that takes user input to return an integer.
}
\usage{
integer.prompt(prompt = NULL)
}
\arguments{
  \item{prompt}{a character vector or \code{NULL}. Used to inform the user in interactive mode what the data being entered will be used for.}
}
\details{
Uses \link{numeric.prompt} and comparison testing to determine if a user input is an integer.
}
\value{
  \item{out}{Returns an integer.}
}

\keyword{interactive}
