\name{logical.prompt}
\alias{logical.prompt}
\title{
Interactively Gets a Logical
}
\description{This function is primarily intended to support other functions in interactive mode, but may also be called by the user at any time. An interactive function that gets a \code{TRUE} or \code{FALSE} (or Yes or No) answer to a question from a user.
}
\usage{
logical.prompt(prompt = NULL)
}
\arguments{
  \item{prompt}{a character vector or \code{NULL}. Used to inform the user in interactive mode what the data being entered will be used for.}
}
\details{
Asks the user a question and uses character vector comparison to determine if the answer is \code{TRUE} or \code{FALSE}.
}
\value{
  \item{out}{Returns either \code{TRUE} or \code{FALSE}.}
}

\keyword{interactive}
