\name{prop.test.gui}
\alias{prop.test.gui}
\title{
Graphical User Interface for prop.test
}
\description{This function allows the user to execute the prop.test function by inputing information into fields in a graphical window provided by the tcltk package. It is intended to be executed by \code{\link{execute.gui}}, although it may be execued by the user if desired.
}
\usage{
prop.test.gui()
}
\details{
This function takes user input from various fields in a window, passes it to \code{\link{prop.test}}, and returns this evaluation.
}
\value{
  \item{out}{This variable is created in the global environment and contains the results of the test.}
}

\seealso{
\code{\link{binom.test.gui}} for when there is one sample and small sample data.
\code{\link{mcnemar.test.gui}} for when there are two samples and the data is dependent.
}

\keyword{gui}