\name{varsum.test.gui}
\alias{varsum.test.gui}
\title{
Graphical User Interface for varsum.test
}
\description{This function allows the user to execute the varsum.test function by inputing information into fields in a graphical window provided by the tcltk package. It is intended to be executed by \code{\link{execute.gui}}, although it may be execued by the user if desired.
}
\usage{
varsum.test.gui()
}
\details{
This function takes user input from various fields in a window, passes it to \code{\link{varsum.test}}, and returns this evaluation.
}
\value{
  \item{out}{This variable is created in the global environment and contains the results of the test.}
}

\seealso{
\code{\link{var.test.gui}} for the same function that works for data.
}

\keyword{gui}